package com.yonge.cooleshow.common.enums.live;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum EUseScene implements BaseEnum<String, EUseScene> {

    /**
     * 正常
     */
    NORMAL( "正常"),

    /**
     * 音乐
     */
    MUSIC( "音乐"),

    ;

    @EnumValue
    private String code;

    private String msg;

    EUseScene(String msg) {
        this.code = this.name();
        this.msg = msg;
    }


    /**
     * 获取枚举类的code值
     *
     * @return
     */
    @Override
    public String getCode() {
        return this.code;
    }
}
